<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Test Store Models in Database</title>
</head>
<body>

<?php

// Include RAP
define("RDFAPI_INCLUDE_DIR", "C:/wamp/www/rdfapi-php/api/");
include(RDFAPI_INCLUDE_DIR . "RdfAPI.php");

// Connect to MySQL database with user defined connection settings
$rdf_database = ModelFactory::getDbStore('MySQL', 'localhost', 'rap_database', 'root', '' );

// Create tables for MySQL
$rdf_database->createTables('MySQL');

// Filename of an RDF document
$base="example1.rdf";

// Create a new memory model
$memModel = ModelFactory::getDefaultModel();

// Load and parse document
$memModel->load($base); 

// An unique modelURI will be generated
$rdf_database->putModel($memModel);

// You can also provide an URI for the model to be stored
$modelURI = "example1.rdf";

// But then you must check if there already is a model with the same modelURI
// otherwise the method putModel() will return FALSE
if ($rdf_database->modelExists($modelURI))
   echo "Model with the same URI: '$modelURI' already exists";
else
   $rdf_database->putModel($memModel, $modelURI); 

$modelURI = "newDbModel";

// Base URI of the new model (optional)
$baseURI = "baseURIofMyNewDbModel#";

// Get a new DbModel
if ($rdf_database->modelExists($modelURI))
   echo "Model with the same URI: '$modelURI' already exists";
else
   $dbModel = $rdf_database->getNewModel($modelURI, $baseURI); 
 // Get an array with modelURI and baseURI of all models stored in rdf database
$list = $rdf_database->listModels();

// Show the database contents
foreach ($list as $model) {
   echo "modelURI: " .$model['modelURI'] ."<BR>";
   echo "baseURI : " .$model['baseURI'] ."<BR><BR>";
}  


// Close the connection
$rdf_database->close();

?>
</body>
</html>